Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 445524 - net-analyzer/nmap does not respect AR/RANLIB
Summary: net-analyzer/nmap does not respect AR/RANLIB
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Netmon Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: tc-directly
  Show dependency tree
 
Reported: 2012-12-01 21:02 UTC by Agostino Sarubbo
Modified: 2013-01-16 19:57 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2012-12-01 21:02:34 UTC
You receive this bug because this package does not respect my system's AR/RANLIB ( x86_64-pc-linux-gnu-ar - /usr/bin/x86_64-pc-linux-gnu-ar | x86_64-pc-linux-gnu-ranlib - /usr/bin/x86_64-pc-linux-gnu-ranlib ) and calls directly ar - /usr/bin/ar | ranlib - /usr/bin/ranlib
The possible solutions to fix this issue are:
1)Fix the buildsystem, if you can
2)inherit toolchain-funcs and use tc-export AR RANLIB
3)inherit toolchain-funcs and use emake AR="$(tc-getAR)" RANLIB="$(tc-getRANLIB)"


ar cr libnbase.a snprintf.o nbase_str.o nbase_misc.o nbase_memalloc.o nbase_rnd.o nbase_addrset.o
ar rcv blas.a dnrm2.o daxpy.o ddot.o dscal.o   
ar rcv liblinear.a linear.o tron.o blas/*.o
ar cr libnsock.a error.o filespace.o gh_list.o nsock_connect.o nsock_core.o nsock_iod.o 
nsock_read.o nsock_nsock_pcap.o nsock_engines.o engine_select.o engine_epoll.o 
ar cr libnetutil.a netutil.o PacketElement.o NetworkLayerElement.o TransportLayerElement.o 
ARPHeader.o Etheeader.o UDPHeader.o RawData.o HopByHopHeader.o DestOptsHeader.o FragmentHeader.o 
RoutingHeader.o  PacketPar
ranlib  blas.a
ranlib liblinear.a
Comment 1 Sergey Popov gentoo-dev 2013-01-16 07:55:49 UTC
+  16 Jan 2013; Sergey Popov <pinkbyte@gentoo.org> nmap-6.01.ebuild,
+  nmap-6.25.ebuild:
+  Respect AR and RANLIB, wrt bug #445524. Thanks to Agostino Sarubbo for
+  discovering this issue
Comment 2 Justin Lecher (RETIRED) gentoo-dev 2013-01-16 14:14:26 UTC
x86_64-pc-linux-gnu-ar: invalid option -- '.'
Usage: x86_64-pc-linux-gnu-ar [emulation options] [-]{dmpqrstx}[abcDfilMNoPsSTuvV] [--plugin <name>] [member-name] [count] archive-file file...
       x86_64-pc-linux-gnu-ar -M [<mri-script]
 commands:
  d            - delete file(s) from the archive
  m[ab]        - move file(s) in the archive
  p            - print file(s) found in the archive
  q[f]         - quick append file(s) to the archive
  r[ab][f][u]  - replace existing or insert new file(s) into the archive
  s            - act as ranlib
  t            - display contents of archive
  x[o]         - extract file(s) from the archive
 command specific modifiers:
  [a]          - put file(s) after [member-name]
  [b]          - put file(s) before [member-name] (same as [i])
  [D]          - use zero for timestamps and uids/gids
  [U]          - use actual timestamps and uids/gids (default)
  [N]          - use instance [count] of name
  [f]          - truncate inserted file names
  [P]          - use full path names when matching
  [o]          - preserve original dates
  [u]          - only replace files that are newer than current archive contents
 generic modifiers:
  [c]          - do not warn if the library had to be created
  [s]          - create an archive index (cf. ranlib)
  [S]          - do not build a symbol table
  [T]          - make a thin archive
  [v]          - be verbose
  [V]          - display the version number
  @<file>      - read options from <file>
  --target=BFDNAME - specify the target object format as BFDNAME
 optional:
  --plugin <p> - load the specified plugin
 emulation options: 
  No emulation specific options
x86_64-pc-linux-gnu-ar: supported targets: elf64-x86-64 elf32-i386 elf32-x86-64 a.out-i386-linux pei-i386 pei-x86-64 elf64-l1om elf64-k1om elf64-little elf64-big elf32-little elf32-big plugin srec symbolsrec verilog tekhex binary ihex
make[1]: *** [liblua.a] Error 1
make[1]: Leaving directory `/var/tmp/portage/net-analyzer/nmap-6.25/work/nmap-6.25/liblua'
Comment 3 Justin Lecher (RETIRED) gentoo-dev 2013-01-16 14:14:39 UTC
Now its broken.
Comment 4 Jeroen Roovers (RETIRED) gentoo-dev 2013-01-16 18:47:52 UTC
(In reply to comment #1)
> +  16 Jan 2013; Sergey Popov <pinkbyte@gentoo.org> nmap-6.01.ebuild,
> +  nmap-6.25.ebuild:
> +  Respect AR and RANLIB, wrt bug #445524. Thanks to Agostino Sarubbo for
> +  discovering this issue

Next time, make a patch. Also, apply it to an unstable ebuild.
Comment 5 Jeroen Roovers (RETIRED) gentoo-dev 2013-01-16 19:34:05 UTC
Should be fixed in 
6.01 rev 1.21
6.25 rev 1.9